Bug 836313 - Detects SELinux as being disabled/false
Detects SELinux as being disabled/false
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: facter (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 12:42 EDT by Dominic Cleal
Modified: 2013-04-19 13:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 21:21:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix SELinux path detection, submitted for #15049 (4.05 KB, patch)
2012-06-28 12:44 EDT, Dominic Cleal
no flags Details | Diff

  None (edit)
Description Dominic Cleal 2012-06-28 12:42:21 EDT
Description of problem:
Facter incorrectly detects SELinux as being disabled ("selinux => false").  This is due to a bug under Ruby 1.9.

Version-Release number of selected component (if applicable):
facter-1.6.6-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Enable SELinux
2. Run: facter selinux
  
Actual results:
false

Expected results:
true

Additional info:
Filed upstream as http://projects.puppetlabs.com/issues/15049
Comment 1 Dominic Cleal 2012-06-28 12:44:22 EDT
Created attachment 595089 [details]
Fix SELinux path detection, submitted for #15049

Attached is the patch I've sent upstream for 1.6.x to fix detection of the selinuxfs path under Ruby 1.9.

http://projects.puppetlabs.com/issues/15049
https://github.com/puppetlabs/facter/pull/247
Comment 2 John Eckersberg 2012-09-11 15:02:58 EDT
I'm hitting this as well.  Looks good in upstream 1.6.11 (thanks to Dominic!), any chance we could get 1.6.11 in F17?
Comment 3 Todd Zullinger 2012-09-11 15:38:42 EDT
1.6.11 had a regression that caused puppet to hang¹.  This is reportedly now fixed in 1.6.12, which was released yesterday.  I'll look at getting that into the repos if no one reports show-stopper issues in the next few days.

¹ https://projects.puppetlabs.com/issues/10418
Comment 4 Fedora Update System 2013-03-19 13:04:24 EDT
facter-1.6.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.fc17
Comment 5 Fedora Update System 2013-03-19 13:05:06 EDT
facter-1.6.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.fc18
Comment 6 Fedora Update System 2013-03-19 13:05:57 EDT
facter-1.6.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.el6
Comment 7 Fedora Update System 2013-03-19 13:06:35 EDT
facter-1.6.18-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.el5
Comment 8 Fedora Update System 2013-03-19 17:26:26 EDT
Package facter-1.6.18-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing facter-1.6.18-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0708/facter-1.6.18-1.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-03-28 21:21:58 EDT
facter-1.6.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-03-28 21:22:44 EDT
facter-1.6.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-04-03 10:26:35 EDT
facter-1.6.18-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-2.el5
Comment 12 Fedora Update System 2013-04-03 10:27:20 EDT
facter-1.6.18-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-2.el6
Comment 13 Fedora Update System 2013-04-03 19:24:03 EDT
facter-1.6.18-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-3.el6
Comment 14 Fedora Update System 2013-04-03 19:25:31 EDT
facter-1.6.18-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-3.el5
Comment 15 Fedora Update System 2013-04-19 13:01:27 EDT
facter-1.6.18-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-04-19 13:05:14 EDT
facter-1.6.18-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.